Package ghidra.app.util.html

# Class EmptyTextLine

java.lang.Object
ghidra.app.util.html.TextLine
ghidra.app.util.html.EmptyTextLine

All Implemented Interfaces:
  `PlaceHolderLine`, `ValidatableLine`

public class EmptyTextLine extends TextLine implements PlaceHolderLine

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.html.ValidatableLine

  `INVALID_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyTextLine(int widthInCharacters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidatableLine`
  `copy()`
  `boolean`
  `isValidated()`
  True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
  `String`
  `toString()`
  `void`
  `updateColor(ValidatableLine otherValidatableLine, Color invalidColor)`

  ### Methods inherited from class ghidra.app.util.html.TextLine

  `equals, getText, getTextColor, hashCode, isDiffColored, matches, setTextColor, setValidationLine`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.html.ValidatableLine

  `getText, isDiffColored, matches, setTextColor, setValidationLine`

- ## Constructor Details

  - ### EmptyTextLine

    public EmptyTextLine(int widthInCharacters)

- ## Method Details

  - ### isValidated

    public boolean isValidated()
    Description copied from interface: `ValidatableLine`
    True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
    Specified by:
      `isValidated` in interface `ValidatableLine`
    Overrides:
      `isValidated` in class `TextLine`
    Returns:
      true if this line has been matched against another line

  - ### copy

    public ValidatableLine copy()
    Specified by:
      `copy` in interface `ValidatableLine`
    Overrides:
      `copy` in class `TextLine`

  - ### updateColor

    public void updateColor(ValidatableLine otherValidatableLine, Color invalidColor)
    Specified by:
      `updateColor` in interface `ValidatableLine`
    Overrides:
      `updateColor` in class `TextLine`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TextLine`